Subject: Re: [PATCH RFC net-next] net: Allow name change of IFF_UP interfaces

From: Andrew Lunn <[email-masked]>
Date: Wed, 9 Aug 2017 18:10:27 +0200

> I understand the 'legacy' concern but at the same time we don't want to
> have aftificial limitations too. Name change, in particular, doesn't
> happen 'under the hood' -- someone privileged enough needs to request
> the change.
> 
> Can you think of any particular real world scenarios which are broken by
> the change?

How about:

man 8 dhclient-script

The interface name is passed in $interface to the scripts. Do we get
the old name or the new name? I suspect scripts are going to break if
they are given the old name, which no longer exists.

     Andrew